Subject: bug#52941: 29.0.50; pgtk: characters typed into minibuffers inserted multiple times

From: Po Lu <[email-masked]>
Date: Fri, 14 Jan 2022 08:39:49 +0800

Sean Whitton <[email-masked]> writes:

> Hello Po,
>
> On Tue 11 Jan 2022 at 06:21PM +08, Po Lu wrote:
>
>> Sean Whitton <[email-masked]> writes:
>>
>>> It occurred to me to try --with-x-toolkit=lucid instead of --with-pgtk.
>>> Sure enough, I cannot reproduce the bug.  So I think the problem is
>>> something about how pgtk receives and processes keyboard input.
>>
>>> In summary: I can reproduce with pgtk running as a native Wayland
>>> application, and I cannot reproduce with the Lucid build running under
>>> Xwayland.  In both cases, swaywm.  I have retitled the bug.
>>
>> You forgot to test the following combinations:
>>
>>   --with-x-toolkit=gtk3, x-gtk-use-native-input set to nil
>>   --with-x-toolkit=gtk3, x-gtk-use-native-input set to t
>
> Cannot reproduce.  I did try both, but I can't find any mention of
> x-gtk-use-native-input in the Emacs source code -- is it possible you
> meant a similarly-named variable?

It's a relatively new feature, you should update from master and test
again.

> Can reproduce, but it happens less often, i.e., you have to load up the
> system further and type faster to reproduce :)

Thanks, I will look into this, but please also update and test native
input.